Update screening webhook
curl --request PATCH \
--url https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"webhookName": "Updated webhook name",
"events": [
{
"kind": "profile_status_updated",
"values": [
"accepted",
"rejected"
]
}
],
"url": "https://updated.web.site/path"
}
'import requests
url = "https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}"
payload = {
"webhookName": "Updated webhook name",
"events": [
{
"kind": "profile_status_updated",
"values": ["accepted", "rejected"]
}
],
"url": "https://updated.web.site/path"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
webhookName: 'Updated webhook name',
events: [{kind: 'profile_status_updated', values: ['accepted', 'rejected']}],
url: 'https://updated.web.site/path'
})
};
fetch('https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "Webhook created successfully",
"result": {
"id": "ecc9b161-e6bf-48e4-816d-b13046a42eaa",
"webhookName": "Test webhook",
"webhookKey": "e7b3b2f0-8e17-40a5-a083-2234c6bc9dab",
"events": [
{
"kind": "profile_status_updated",
"values": [
"potential_match"
]
}
],
"url": "https://your.web.site/path"
}
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}Screening Webhooks
Update screening webhook
The PATCH method on a single screening webhook resource will update fields on that screening webhook.
PATCH
/
v2
/
webhooks
/
screening
/
{webhookId}
Update screening webhook
Authorizations
Admin API key for authentication. Manage API keys in the Minerva dashboard under Administration > Developers.
Path Parameters
The unique identifier of the webhook
Body
application/json
Request body for updating a screening webhook
The name that should be assigned to the webhook
Example:
"Updated webhook name"
The list of events that the webhook should subscribe to
Show child attributes
Show child attributes
The URL that the webhook should POST to when event conditions are met
Example:
"https://your.web.site/path"
⌘I